package com.iformall.domain.po;

import java.util.Map;

/**
 * @author luozukai
 * @date 2019/3/7 10:05
 */
public class MailMsg extends BaseMsg {
    private static final long serialVersionUID = 923764283760321L;
    // 模板id
    private Integer modelId;
    private String tenantId;

    private String[] to;
    private String from;
    private String msg;

    //标题
    private String subject;
    //是否html格式
    private boolean isHtml;
    //附件
    private String filePath;
    //嵌入静态资源
    private String rscPath;
    private String rscI;

    //动态替换内容
    private Map<String,String> dynamicContentMap;

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public Map<String, String> getDynamicContentMap() {
        return dynamicContentMap;
    }

    public void setDynamicContentMap(Map<String, String> dynamicContentMap) {
        this.dynamicContentMap = dynamicContentMap;
    }

    public Integer getModelId() {
        return modelId;
    }

    public void setModelId(Integer modelId) {
        this.modelId = modelId;
    }

    public String[] getTo() {
        return to;
    }

    public void setTo(String[] to) {
        this.to = to;
    }

    public String getFrom() {
        return from;
    }

    public void setFrom(String from) {
        this.from = from;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public boolean isHtml() {
        return isHtml;
    }

    public void setHtml(boolean html) {
        isHtml = html;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getRscPath() {
        return rscPath;
    }

    public void setRscPath(String rscPath) {
        this.rscPath = rscPath;
    }

    public String getRscI() {
        return rscI;
    }

    public void setRscI(String rscI) {
        this.rscI = rscI;
    }
}
